org.apache.ignite.internal.processors.cache.persistence

## Class DataStorageMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.DataStorageMXBeanImpl

All Implemented Interfaces:
  DataStorageMXBean

    public class DataStorageMXBeanImpl
    extends Object
    implements DataStorageMXBean

TransactionsMXBean implementation.

### Constructor Summary

Constructors
Constructor and Description
`DataStorageMXBeanImpl(GridKernalContextImpl ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getWalCompactionLevel()`
`void` `setWalCompactionLevel(int walCompactionLevel)` Sets ZIP compression level to WAL compaction.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataStorageMXBeanImpl

    public DataStorageMXBeanImpl(GridKernalContextImpl ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### getWalCompactionLevel

    public int getWalCompactionLevel()

Specified by:
  `getWalCompactionLevel` in interface `DataStorageMXBean`
Returns:
  ZIP compression level to WAL compaction.

#### setWalCompactionLevel

    public void setWalCompactionLevel(int walCompactionLevel)

Sets ZIP compression level to WAL compaction. `DataStorageConfiguration.setWalCompactionLevel(int)` configuration property.

Specified by:
  `setWalCompactionLevel` in interface `DataStorageMXBean`
Parameters:
  `walCompactionLevel` - ZIP compression level.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022